classification
Title: zipfile.Path.joinpath API inconsistent with pathlib.Path.joinpath
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: jaraco Nosy List: conchylicultor, jaraco, miss-islington
Priority: normal Keywords: patch

Created on 2020-10-19 20:58 by conchylicultor, last changed 2020-12-17 01:40 by jaraco. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 22976 merged jaraco, 2020-10-25 18:50
Messages (4)
msg379016 - (view) Author: Etienne POT (conchylicultor) * Date: 2020-10-19 20:58
The following code fail with zipfile.Path, but works with pathlib.Path:

```
path = path.joinpath().joinpath('other', 'other')
```

Zipfile: https://github.com/python/cpython/blob/95ad890a7b0341d8d2fde13f824bc24c65a8ece0/Lib/zipfile.py#L2363

```
def joinpath(self, add):
```

Pathlib: https://github.com/python/cpython/blob/95ad890a7b0341d8d2fde13f824bc24c65a8ece0/Lib/pathlib.py#L955

```
def joinpath(self, *args):
```
msg379124 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2020-10-20 13:15
This sounds like a worthy improvement. Are you interested in preparing a patch? Would you consider contributing it to https://github.com/jaraco/zipp first?
msg379597 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2020-10-25 18:37
This issue is fixed in zipp 3.4.0.
msg383113 - (view) Author: miss-islington (miss-islington) Date: 2020-12-16 02:13
New changeset 928dbfc16c9c4715459c80fe551c74702480db8b by Jason R. Coombs in branch 'master':
bpo-42090: zipfile.Path.joinpath now accepts multiple arguments (GH-22976)
https://github.com/python/cpython/commit/928dbfc16c9c4715459c80fe551c74702480db8b
History
Date User Action Args
2020-12-17 01:40:18jaracosetstatus: open -> closed
resolution: fixed
stage: commit review -> resolved
2020-12-16 02:13:04miss-islingtonsetnosy: + miss-islington
messages: + msg383113
2020-10-25 18:53:16jaracosetstage: patch review -> commit review
2020-10-25 18:50:01jaracosetkeywords: + patch
stage: backport needed -> patch review
pull_requests: + pull_request21893
2020-10-25 18:37:08jaracosetassignee: jaraco
messages: + msg379597
stage: backport needed
2020-10-20 13:15:54jaracosetmessages: + msg379124
2020-10-20 03:11:45xtreaksetnosy: + jaraco
2020-10-19 20:58:28conchylicultorcreate